/* Legge un numero intero da file, se la lettura non va a buon fine, stampa un messaggio d'errore */
#include <stdio.h>

int main(int argc, char **argv){
	FILE *f1=fopen(argv[1],"r");
	int i,n;
	char buf[128];
    /* Lettura con controllo */
	i=fscanf(f1,"%d",&n);
	if (i==0) printf("Errore: letti %d elementi\n",i);
	else printf("Letto %d\n", n);
    /* Lettura insicura alla fine del file: potrebbe non leggere niente */
    fscanf(f1, "%s", buf);
	printf("%s\n", buf);
	fclose(f1);
}
